arch.h File Reference
`#include "arch/cc.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <inttypes.h>`
`#include <limits.h>`
`#include <ctype.h>`

## Macros

#define | BYTE_ORDER LITTLE_ENDIAN
#define | LWIP_RAND() ((u32_t)rand())
#define | LWIP_PLATFORM_DIAG(x) do {printf x;} while(0)
#define | LWIP_PLATFORM_ASSERT(x)
#define | LWIP_NO_STDDEF_H 0
#define | LWIP_NO_STDINT_H 0
#define | LWIP_NO_INTTYPES_H 0
#define | LWIP_NO_LIMITS_H 0
#define | LWIP_NO_CTYPE_H 0
#define | LWIP_CONST_CAST(target_type, val) ((target_type)((ptrdiff_t)val))
#define | LWIP_ALIGNMENT_CAST(target_type, val) LWIP_CONST_CAST(target_type, val)
#define | LWIP_PTR_NUMERIC_CAST(target_type, val) LWIP_CONST_CAST(target_type, val)
#define | LWIP_PACKED_CAST(target_type, val) LWIP_CONST_CAST(target_type, val)
#define | LWIP_DECLARE_MEMORY_ALIGNED(variable_name, size) u8_t variable_name[LWIP_MEM_ALIGN_BUFFER(size)]
#define | LWIP_MEM_ALIGN_SIZE(size) (((size) + MEM_ALIGNMENT - 1U) & ~(MEM_ALIGNMENT-1U))
#define | LWIP_MEM_ALIGN_BUFFER(size) (((size) + MEM_ALIGNMENT - 1U))
#define | LWIP_MEM_ALIGN(addr) ((void *)(((mem_ptr_t)(addr) + MEM_ALIGNMENT - 1) & ~(mem_ptr_t)(MEM_ALIGNMENT-1)))
#define | PACK_STRUCT_BEGIN
#define | PACK_STRUCT_END
#define | PACK_STRUCT_STRUCT
#define | PACK_STRUCT_FIELD(x) x
#define | PACK_STRUCT_FLD_8(x) PACK_STRUCT_FIELD(x)
#define | PACK_STRUCT_FLD_S(x) PACK_STRUCT_FIELD(x)
#define | PACK_STRUCT_USE_INCLUDES
#define | LWIP_UNUSED_ARG(x) (void)x
#define | LWIP_PROVIDE_ERRNO

## Detailed Description

Support for different processor and compiler architectures